# FoundationClasses
TKernel
Quantity

# Quantity_Convert Class Reference

Services to manage units conversion between Front-ends and Engines.
This conversion is managed by a table of correspondance between the quantities
and their "conversion coefficient".
This table is implemented like an external array (TCollection_Array1) regarding
to the quantities enumeration.
.

`#include <Quantity_Convert.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Quantity_Convert ()
| Creates an object; .

## Static Public Member Functions

static void | SetQuantity (const Quantity_PhysicalQuantity aQuantity, const Quantity_Coefficient aCoef)
| Updates the conversion table (correspondances between Quantities and conversion coefficients). .
static Standard_Real | ConvertUserToSI (const Quantity_PhysicalQuantity aQuantity, const Standard_Real aVal)
| Converts, from the conversion table, the value <aval> from the user system to the SI system. .
static Standard_Real | ConvertSIToUser (const Quantity_PhysicalQuantity aQuantity, const Standard_Real aVal)
| Converts, from the conversion table, the value <aval> from the SI system to the user system. .
static Standard_EXPORT Standard_Boolean | IsPhysicalQuantity (const TCollection_AsciiString &aTypeName, TCollection_AsciiString &anEnum)
| if (aType is a physical quantity) returns True and the name of the associated PhysicalQuantity . else returns False.

## Constructor & Destructor Documentation

Standard_EXPORT Quantity_Convert::Quantity_Convert | ( |  | ) |

## Member Function Documentation

Quantity_Coefficient Quantity_Convert::ConvertSIToUser | ( | const Quantity_PhysicalQuantity | aQuantity,
|  | const Standard_Real | aVal
| ) | `[inline, static]`

Quantity_Coefficient Quantity_Convert::ConvertUserToSI | ( | const Quantity_PhysicalQuantity | aQuantity,
|  | const Standard_Real | aVal
| ) | `[inline, static]`

static Standard_EXPORT Standard_Boolean Quantity_Convert::IsPhysicalQuantity | ( | const TCollection_AsciiString & | aTypeName,
|  | TCollection_AsciiString & | anEnum
| ) | `[static]`

void Quantity_Convert::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Quantity_Convert::operator new | ( | size_t | size | ) | `[inline]`

void* Quantity_Convert::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void Quantity_Convert::SetQuantity | ( | const Quantity_PhysicalQuantity | aQuantity,
|  | const Quantity_Coefficient | aCoef
| ) | `[inline, static]`

The documentation for this class was generated from the following files:

- Quantity_Convert.hxx
- Quantity_Convert.lxx